Skip to content
中文

Generate(Image-to-Video

Method: POSTEndpoint: /pixverse/v1/pro/generate

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
Required
image
string
Required
model
string
Required
template_id
integer
Optional
motion_strength
number
Required
motion_scale
object
Required
horizontal
number
Required
vertical
number
Required
roll
integer
Required
zoom
number
Required
seed
integer
Optional
Example
{
"prompt"
:
"string"
,
"image"
:
"string"
,
"model"
:
"string"
,
"template_id"
:
0
,
"motion_strength"
:
0
,
"motion_scale"
:
{
"horizontal"
:
0
,
"vertical"
:
0
,
"roll"
:
0
,
"zoom"
:
0
}
,
"seed"
:
0
}

Example Request

Shell

bash
curl --location --request POST '/pixverse/v1/pro/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "image": "string",
    "model": "string",
    "template_id": 0,
    "motion_strength": 0,
    "motion_scale": {
        "horizontal": 0,
        "vertical": 0,
        "roll": 0,
        "zoom": 0
    },
    "seed": 0
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
string
Optional

Example

json
{
    "code": 200,
    "data": {
        "task_id": "a766793f-5e6b-4f4e-deac-cfa80a51e167"
    },
    "exec_time": 0.029496,
    "msg": "Success"
}